org.codehaus.groovy.ast.expr

## Class PrefixExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.PrefixExpression

    public class PrefixExpression
    extends Expression

Represents a prefix expression like ++foo or --bar

Version:
  $Revision: 6778 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`PrefixExpression(Token operation, Expression expression)`

### Method Summary

Methods
`Expression` `getExpression()`
`Token` `getOperation()`
`String` `getText()`
`ClassNode` `getType()`
`void` `setExpression(Expression expression)`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrefixExpression

    public PrefixExpression(Token operation,
                    Expression expression)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`

#### setExpression

    public void setExpression(Expression expression)

#### getOperation

    public Token getOperation()

#### getExpression

    public Expression getExpression()

#### getText

    public String getText()

Overrides:
  `getText` in class `ASTNode`

#### getType

    public ClassNode getType()

Overrides:
  `getType` in class `Expression`